Get list by listId - Fabric

Get list by listId

cURL

curl --request GET \ 
  --url https://prod01-apigw.yourcompany.fabric.zone/api-list/list/{listId} \ 
  --header 'x-site-context: <x-site-context>'

Python

import requests

url = "https://prod01-apigw.yourcompany.fabric.zone/api-list/list/{listId}"

headers = {"x-site-context": "<x-site-context>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {method: 'GET', headers: {'x-site-context': '<x-site-context>'}};

fetch('https://prod01-apigw.yourcompany.fabric.zone/api-list/list/{listId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Codes

Response Example

{
  "_id": "5fee9d59f2f08a1b3cbdea08",
  "createdAt": "2020-12-31T02:09:53.914Z",
  "updatedAt": "2020-12-31T02:09:53.914Z",
  "userId": "33d01d57-4bfa-4a14-bacc-036617ec02b9",
  "name": "Summer List",
  "listType": "Wishlist",
  "notes": "Summer List",
  "count": 10,
  "attributes": {
    "approver": "Jone Doe"
  }
}

Error Response Example

{
  "code": "LIST_TYPE_NOT_FOUND",
  "message": "List type ID not found"
}

Headers

The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel, stage, and date attributes can further narrow the scope of your data source.

Example:

{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}